import request from '../utils/request'

//钱包余额
export function getWalletInfo(data) {
  return request({
    url: `/lease/user/getWalletInfo`,
    method: 'post',
    data
  })
}

//余额提现
export function withdrawBalance(data) {
  return request({
    url: `/lease/user/withdrawBalance`,
    method: 'post',
    data
  })
}



//余额充值记录
export function balanceRechargeList(data) {
  return request({
    url: `/lease/user/balanceRechargeList`,
    method: 'post',
    data
  })
}


//提现记录
export function balanceWithdrawList(data) {
  return request({
    url: `/lease/user/balanceWithdrawList`,
    method: 'post',
    data
  })
}


// 卖家收款记录
export function sellerReceiptList(data) {
  return request({
    url: `/lease/user/balancePayList`,
    method: 'post',
    data
  })
}


//钱包绑定
export function addWalletShopConfig(data) {
  return request({
    url: `/lease/shop/addShopConfig`,
    method: 'post',
    data
  })
}

//获取支持的链和币种
export function getChainAndList(data) {
  return request({
    url: `/lease/shop/getChainAndList`,
    method: 'post',
    data
  })
}


//获取钱包绑定列表
export function getShopConfig(data) {
  return request({
    url: `/lease/shop/getShopConfig`,
    method: 'post',
    data
  })
}


//创建钱包
export function bindWallet(data) {
  return request({
    url: `/lease/user/bindWallet`,
    method: 'post',
    data
  })
}

//资金流水
export function transactionRecord(data) {
  return request({
    url: `/lease/user/transactionRecord`,
    method: 'post',
    data
  })
}

//钱包的最近交易
export function getRecentlyTransaction(data) {
  return request({
    url: `/lease/user/getRecentlyTransaction`,
    method: 'post',
    data
  })
}

//绑定钱包前查询商品列表
export function getProductListForShopWalletConfig(data) {
  return request({
    url: `/lease/product/getProductListForShopWalletConfig`,
    method: 'post',
    data
  })
}


//设置之前商品列表的新链的机器价格
export function updateProductListForShopWalletConfig(data) {
  return request({
    url: `/lease/product/updateProductListForShopWalletConfig`,
    method: 'post',
    data
  })
}

// 卖家绑定钱包明细
export function getShopConfigV2(data) {
  return request({
    url: `/lease/v2/shop/getShopConfigV2`,
    method: 'post',
    data
  })
}


// 卖家提现
export function withdrawBalanceForSeller(data) {
  return request({
    url: `/lease/v2/shop/withdrawBalanceForSeller`,
    method: 'post',
    data
  })
}


// 修改钱包配置
export function balanceWithdrawListV2(data) {
  return request({
    url: `/lease/v2/shop/balanceWithdrawList`,
    method: 'post',
    data
  })
}

// 修改店铺钱包配置 V2
export function updateShopConfigV2(data) {
  return request({
    url: `/lease/v2/shop/updateShopConfigV2`,
    method: 'post',
    data
  })
}



















